
// SSD1339.h
// 10th June 2009 copyright FD - SRI

#define _	 -1

#define SET_COLUMN	0x15
#define WRITE_RAM	0x5c
#define READ_RAM	0x5d
#define SET_ROW		0x75

#define SET_REMAP	0xa0
#define DISP_START 0xa1
#define DISP_OFFSET 0xa2

#define DISPLAY_OFF 0xa4
#define DISPLAY_ON 	0xa5
#define DISPLAY_NORMAL 0xa6
#define DISPLAY_INV 0xa7
#define SET_FUNCTION 0xab
#define MASTER_CONFIG 0xad
#define SLEEP_ON 0xae
#define SLEEP_OFF 0xaf

#define POWER_SAVE 0xb0
#define PHASE_LENGTH 0xb1
#define CLOCK_DIV 0xb3
#define SET_VSL	  0xb4 // SSD1351
#define SET_GPIO  0xb5 // SSD1351
#define SET_PCHARGE2 0xb6 // SSD1351
#define GREY_LUT 0xb8
#define BUILTIN_LUT 0xb9
#define PRECHARGE 0xbb
#define VCOMH	  0xbe

#define CONTRAST_CURRENT 0xc1
#define MASTER_CURRENT 0xc7
#define MUX_RATIO 0xca

#define CMD_LOCK    0xfd    // for ssd1351

#define DRAW_LINE 0x83
#define DRAW_RECT 0x84
#define DRAW_CIRCLE 0x86
#define DRAW_COPY 0x8A
#define DIM_WINDOW 0x8C
#define CLR_WINDOW 0x8E
#define FILL_ENABLE 0x92
#define HOR_SCROLL 0x96
#define STOP_SCROLL 0x9e
#define START_SCROLL 0x9f
// c0=blue 18=red 07=green

#define BLACK 0
#define BLUE 0xe0
#define GREEN 0x1c // 0r 0x1c or 07
#define RED 0x03   // or 0x03 or 18
#define WHITE 0xff
#define YELLOW 0x1f // red+green
#define PURPLE 0xe3 // blue+red
#define TEAL 0xfc // blue+green
#define BROWN 0x0f // brown red+ 1/2 green

#define BLUE16 0xf800
#define GREEN16 0x7e0
#define RED16 0x1f
#define YELLOW16 0x7ff
#define WHITE16 0xffff
#define GREY16 0x1863


#define _CENTRE -1

#define DISP_OFF 0
#define NORMAL 1
#define INVERT 2

